
using NeonTea.Quakeball.TeaNet.Packets;

namespace NeonTea.Quakeball.Networking.Packets {
    public class HitPckt : Packet {

        public ulong Source;
        public ulong Target;

        public HitPckt() { }
        public HitPckt(ulong source, ulong target) {
            Source = source;
            Target = target;
        }

        public override void Read(ByteBuffer buffer) {
            Source = buffer.ReadULong();
            Target = buffer.ReadULong();
        }

        public override void Write(ByteBuffer buffer) {
            buffer.Write(Source);
            buffer.Write(Target);
        }
    }
}